apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    capacity.cluster-autoscaler.kubernetes.io/labels: kubernetes.io/arch=amd64
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"machine.openshift.io/v1beta1","kind":"MachineSet","metadata":{"annotations":{},"labels":{"machine.openshift.io/cluster-api-cluster":"ci-ln-cgnxcq2-72292-k47l8"},"name":"ci-ln-cgnxcq2-72292-k47l8-winworker-a","namespace":"openshift-machine-api"},"spec":{"replicas":1,"selector":{"matchLabels":{"machine.openshift.io/cluster-api-cluster":"ci-ln-cgnxcq2-72292-k47l8","machine.openshift.io/cluster-api-machineset":"ci-ln-cgnxcq2-72292-k47l8-winworker-a"}},"template":{"metadata":{"labels":{"machine.openshift.io/cluster-api-cluster":"ci-ln-cgnxcq2-72292-k47l8","machine.openshift.io/cluster-api-machine-role":"worker","machine.openshift.io/cluster-api-machine-type":"worker","machine.openshift.io/cluster-api-machineset":"ci-ln-cgnxcq2-72292-k47l8-winworker-a","machine.openshift.io/os-id":"Windows","windowsmachineconfig.openshift.io/ignore":"false"}},"spec":{"metadata":{"labels":{"node-role.kubernetes.io/worker":""}},"providerSpec":{"value":{"apiVersion":"machine.openshift.io/v1beta1","canIPForward":false,"credentialsSecret":{"name":"gcp-cloud-credentials"},"deletionProtection":false,"disks":[{"autoDelete":true,"boot":true,"image":"projects/windows-cloud/global/images/family/windows-2022-core","sizeGb":128,"type":"pd-ssd"}],"kind":"GCPMachineProviderSpec","machineType":"n1-standard-4","networkInterfaces":[{"network":"ci-ln-cgnxcq2-72292-k47l8-network","subnetwork":"ci-ln-cgnxcq2-72292-k47l8-worker-subnet"}],"projectID":"openshift-gce-devel-ci-2","region":"us-central1","serviceAccounts":[{"email":"ci-ln-cgnxcq2-72292-k47l8-w@openshift-gce-devel-ci-2.iam.gserviceaccount.com","scopes":["https://www.googleapis.com/auth/cloud-platform"]}],"tags":["ci-ln-cgnxcq2-72292-k47l8-worker"],"userDataSecret":{"name":"windows-user-data"},"zone":"us-central1-a"}}}}}}
    machine.openshift.io/GPU: '0'
    machine.openshift.io/memoryMb: '15360'
    machine.openshift.io/vCPU: '4'
  resourceVersion: '56686'
  name: ci-ln-cgnxcq2-72292-k47l8-winworker-a
  uid: d03a5e67-a0c1-42c5-b6e0-34e172dfe329
  creationTimestamp: '2025-08-19T15:18:23Z'
  generation: 1
  managedFields:
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
          'f:labels':
            .: {}
            'f:machine.openshift.io/cluster-api-cluster': {}
        'f:spec':
          .: {}
          'f:replicas': {}
          'f:selector': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:machine.openshift.io/cluster-api-cluster': {}
                'f:machine.openshift.io/cluster-api-machine-role': {}
                'f:machine.openshift.io/cluster-api-machine-type': {}
                'f:machine.openshift.io/cluster-api-machineset': {}
                'f:machine.openshift.io/os-id': {}
                'f:windowsmachineconfig.openshift.io/ignore': {}
            'f:spec':
              .: {}
              'f:metadata':
                .: {}
                'f:labels':
                  .: {}
                  'f:node-role.kubernetes.io/worker': {}
              'f:providerSpec':
                .: {}
                'f:value':
                  'f:zone': {}
                  'f:projectID': {}
                  'f:canIPForward': {}
                  'f:disks': {}
                  'f:serviceAccounts': {}
                  'f:region': {}
                  'f:kind': {}
                  'f:tags': {}
                  'f:machineType': {}
                  .: {}
                  'f:apiVersion': {}
                  'f:networkInterfaces': {}
                  'f:credentialsSecret':
                    .: {}
                    'f:name': {}
                  'f:userDataSecret':
                    .: {}
                    'f:name': {}
                  'f:deletionProtection': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2025-08-19T15:18:23Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:capacity.cluster-autoscaler.kubernetes.io/labels': {}
            'f:machine.openshift.io/GPU': {}
            'f:machine.openshift.io/memoryMb': {}
            'f:machine.openshift.io/vCPU': {}
      manager: machine-controller-manager
      operation: Update
      time: '2025-08-19T15:18:24Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:availableReplicas': {}
          'f:fullyLabeledReplicas': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
      manager: machineset-controller
      operation: Update
      subresource: status
      time: '2025-08-19T15:26:16Z'
  namespace: openshift-machine-api
  labels:
    machine.openshift.io/cluster-api-cluster: ci-ln-cgnxcq2-72292-k47l8
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: ci-ln-cgnxcq2-72292-k47l8
      machine.openshift.io/cluster-api-machineset: ci-ln-cgnxcq2-72292-k47l8-winworker-a
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: ci-ln-cgnxcq2-72292-k47l8
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: ci-ln-cgnxcq2-72292-k47l8-winworker-a
        machine.openshift.io/os-id: Windows
        windowsmachineconfig.openshift.io/ignore: 'false'
    spec:
      lifecycleHooks: {}
      metadata:
        labels:
          node-role.kubernetes.io/worker: ''
      providerSpec:
        value:
          machineType: n1-standard-4
          userDataSecret:
            name: windows-user-data
          deletionProtection: false
          networkInterfaces:
            - network: ci-ln-cgnxcq2-72292-k47l8-network
              subnetwork: ci-ln-cgnxcq2-72292-k47l8-worker-subnet
          credentialsSecret:
            name: gcp-cloud-credentials
          zone: us-central1-a
          canIPForward: false
          metadata:
            creationTimestamp: null
          projectID: openshift-gce-devel-ci-2
          region: us-central1
          kind: GCPMachineProviderSpec
          disks:
            - autoDelete: true
              boot: true
              image: projects/windows-cloud/global/images/family/windows-2022-core
              labels: null
              sizeGb: 128
              type: pd-ssd
          tags:
            - ci-ln-cgnxcq2-72292-k47l8-worker
          serviceAccounts:
            - email: ci-ln-cgnxcq2-72292-k47l8-w@openshift-gce-devel-ci-2.iam.gserviceaccount.com
              scopes:
                - 'https://www.googleapis.com/auth/cloud-platform'
          apiVersion: machine.openshift.io/v1beta1
          shieldedInstanceConfig: {}
status:
  availableReplicas: 1
  fullyLabeledReplicas: 1
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
